/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * Copyright(C) 2011 avanza Co.,Ltd. All rights reserved.
 * http://www.avnz.co.jp/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package com.aimluck.eip.user.beans;

import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.common.ALData;

/**
 * [部署1・部署2・役職]のBeanです。 <br />
 * 
 */
public class UserGroupPositionLiteBean implements ALData, Cloneable {

  /** ID */
  // private ALNumberField group_id;
  /** 部署１ */
  private ALStringField post1_name;

  /** 部署１ */
  private ALStringField post1_group_name;

  /** 部署２ */
  private ALStringField post2_name;

  /** 部署２ */
  private ALStringField post2_group_name;

  /** 役職ID */
  private ALStringField position_id;

  /** 役職名 */
  private ALStringField position_name;

  /**
   * 
   */
  public void initField() {
    // group_id = new ALNumberField();
    post1_name = new ALStringField();
    post1_group_name = new ALStringField();
    post2_name = new ALStringField();
    post2_group_name = new ALStringField();
    position_id = new ALStringField();
    position_name = new ALStringField();
  }

  /**
   * 
   * @param string
   */
  public void setPost1Name(String string) {
    post1_name.setValue(string);
  }

  /**
   * 
   * @return
   */
  public String getPost1Name() {
    return post1_name.getValue();
  }

  /**
   * 
   * @param string
   */
  public void setPost1GroupName(String string) {
    post1_group_name.setValue(string);
  }

  /**
   * 
   * @return
   */
  public String getPost1GroupName() {
    return post1_group_name.getValue();
  }

  /**
   * @return
   */
  // public String getGroupId() {
  // return group_id.toString();
  // }
  /**
   * @param field
   */
  // public void setGroupId(int i) {
  // group_id.setValue(i);
  // }
  /**
   * 
   * @param string
   */
  public void setPost2Name(String string) {
    post2_name.setValue(string);
  }

  /**
   * 
   * @return
   */
  public String getPost2Name() {
    return post2_name.getValue();
  }

  /**
   * 
   * @param string
   */
  public void setPost2GroupName(String string) {
    post2_group_name.setValue(string);
  }

  /**
   * 
   * @return
   */
  public String getPost2GroupName() {
    return post2_group_name.getValue();
  }

  /**
   * 
   * @param string
   */
  public void setPositionName(String string) {
    position_name.setValue(string);
  }

  /**
   * 
   * @return
   */
  public String getPositionName() {
    return position_name.getValue();
  }

  /**
   * 
   * @param string
   */
  public void setPositionId(String string) {
    position_id.setValue(string);
  }

  /**
   * 
   * @return
   */
  public String getPositionId() {
    return position_id.getValue();
  }
}
